import 'package:flutter/material.dart';

class MultiTextField extends StatefulWidget{


  double elevation;
  double Clickedelevation;
  Color cursorColor;
  Color prefixIconFocusedColor;
  Widget lableText;
  IconData Prefixicon;
  int minline;
  int maxline;
  //
  Color prfixIconColor=Colors.black12;
  MultiTextField({@required double elevation,
    @required double Clickedelevation,
    @required Color cursorColor,
    @required Color prefixIconFocusedColor,
    @required Widget lableText,
    @required int minline,
    @required int maxline,
    @required IconData Prefixicon}){
    this.elevation=elevation;
    this. Clickedelevation=Clickedelevation;
    this.cursorColor=cursorColor;
    this.prefixIconFocusedColor=prefixIconFocusedColor;
    this. lableText=lableText;
    this. Prefixicon=Prefixicon;
    this. minline=minline;
    this. maxline=maxline;
  }
  @override
  MultiTextFieldState createState() => MultiTextFieldState();
}

class MultiTextFieldState extends State<MultiTextField> {

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        //text input
        Container(
            margin: EdgeInsets.only(left: 10),
            width: 300,
            child:widget. lableText
        ),
        Container(
          width: 300,
          child: Card(
            elevation: widget. elevation,
            child: Container(
              padding: EdgeInsets.only(left: 5,right: 5),
              child: TextField(
                keyboardType:TextInputType.multiline ,
                minLines: widget.minline,
                maxLines: widget.maxline,
                decoration: InputDecoration(
                    border: InputBorder.none,
                    focusColor:Colors.orange ,
                    hoverColor:Colors.orange ,
                    prefixIcon:widget.Prefixicon!=null?Icon(widget.Prefixicon,color:widget.  prfixIconColor,):Container()
                ),
                cursorColor:widget. cursorColor,
                onTap: (){
                  setState(() {
                    if(widget.Prefixicon!=null){
                      widget.  prfixIconColor=widget. prefixIconFocusedColor;
                    }
                    widget.elevation=widget. Clickedelevation;

                  });
                },

              ),
            ),
          ),
        )
      ],
    );
  }
}